wiki:WikiStart/Troubleshooting/CustomBoostVersion

Installation of boost

You can you the attached script in order to install boost. Copy into autoproj/scripts/ (or adapt the reference below) and copy the section below into your autoproj/init.rb

# Check on default location to install boost
begin
        require File.join(File.dirname(__FILE__),"scripts/boost_installer.rb")
        # The minimum boost version is a hard requirement - if its not fulfilled
        # the newest boost version will be installed
        bi = BoostInstaller.new('1.44.0')
        newest_version_path = bi.install("/opt/boost")
        env_set "BOOST_ROOT", newest_version_path
        env_add "LD_LIBRARY_PATH", "#{File.join(newest_version_path,"lib")}"
rescue
        print "Could not install boost\n"
end

Last modified 7 years ago Last modified on 09/11/12 18:17:37

Attachments (1)

Download all attachments as: .zip